Package org.sonatype.maven.polyglot.groovy.builder.factory

# Class NamedFactory

java.lang.Object
groovy.util.AbstractFactory
org.sonatype.maven.polyglot.groovy.builder.factory.NamedFactory

All Implemented Interfaces:
  `groovy.util.Factory`

Direct Known Subclasses:
  `ChildFactory`, `DependencyFactory`, `ExclusionFactory`, `ExecuteFactory`, `ExecutionFactory`, `ExtensionFactory`, `ListFactory`, `ModelFactory`, `ObjectFactory`, `ParentFactory`, `PluginFactory`, `PropertiesFactory`, `ReportingFactory`, `ReportSetFactory`, `StringFactory`

public abstract class NamedFactory extends groovy.util.AbstractFactory
Support for named factories.

Since:
  0.7
Author:
  Jason Dillon

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected static class`
`NamedFactory.NodeValueParseException`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`NamedFactory(String name)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`void`
`setParent(groovy.util.FactoryBuilderSupport builder, Object parent, Object child)`
`String`
`toString()`

### Methods inherited from class groovy.util.AbstractFactory

`isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface groovy.util.Factory

`newInstance`

## Constructor Details

### NamedFactory

protected NamedFactory(String name)

## Method Details

### getName

public String getName()

### setParent

public void setParent(groovy.util.FactoryBuilderSupport builder, Object parent, Object child)

Specified by:
  `setParent` in interface `groovy.util.Factory`
Overrides:
  `setParent` in class `groovy.util.AbstractFactory`

### toString

public String toString()

Overrides:
  `toString` in class `Object`